URL=$1
RETRY_COUNT=${RETRY_COUNT:-120}
RETRY_DELAY=${RETRY_DELAY:-2}

i=$RETRY_COUNT
while (($i > 0)); do
    http_code=$(curl --max-time $RETRY_DELAY -s -o /dev/null -w "%{http_code}\n" $URL)

    echo "$(date) $URL returned ${http_code}. Remaining retries $i"
    if [[ $http_code == 200 ]]; then
        exit 0
    fi

    sleep $RETRY_DELAY
    i=$(($i - 1))
done

echo "Couldn't await $URL to complete"
exit 1
